<script setup>
import { ref } from 'vue';
import {enquireScreen} from './utils/util.js';

import { ElConfigProvider } from 'element-plus'
import zhTw from 'element-plus/dist/locale/zh-tw.mjs'
const locale = ref(zhTw);

import { useSettingStore } from '@/store/setting.js';
const settingStore = useSettingStore();


enquireScreen(isMobile => settingStore.setDevice(isMobile))

</script>

<template>
  <el-config-provider :locale="locale">
    <router-view></router-view>
  </el-config-provider>
</template>

<style scoped>

</style>
